<section class="login flex justify-center pt-24">
	<div class="w-full max-w-xs">
		<form
			action="/register"
			method="POST"
			class="bg-white shadow-md rounded px-8 pt-6 pb-8 mb-4"
		>
			<% if (messages.error) { %>
			<span class="text-red-500 text-small mb-2"> <%= messages.error %> </span>
			<% } %>

			<div class="mb-4">
				<label class="block text-grey-darker text-sm font-bold mb-2" for="name">
					Name
				</label>
				<input
					class="
						shadow
						appearance-none
						border
						rounded
						w-full
						py-2
						px-3
						text-grey-darker
						leading-tight
						focus:outline-none
						focus:shadow-outline
					"
					id="name"
					type="text"
					placeholder="Your name"
					name="name"
					value="<%= messages.name %>"
				/>
			</div>
			<div class="mb-4">
				<label class="block text-grey-darker text-sm font-bold mb-2" for="email">
					Email
				</label>
				<input
					class="
						shadow
						appearance-none
						border
						rounded
						w-full
						py-2
						px-3
						text-grey-darker
						leading-tight
						focus:outline-none
						focus:shadow-outline
					"
					id="email"
					type="email"
					placeholder="Email"
					name="email"
					value="<%= messages.email %>"
				/>
			</div>
			<div class="mb-6">
				<label
					class="block text-grey-darker text-sm font-bold mb-2"
					for="password"
				>
					Password
				</label>
				<input
					class="
						shadow
						appearance-none
						rounded
						w-full
						py-2
						px-3
						text-grey-darker
						mb-3
						leading-tight
						focus:outline-none
						focus:shadow-outline
					"
					id="password"
					type="password"
					placeholder="******************"
					name="password"
				/>
				<!-- <p class="text-red text-xs italic">Please choose a password.</p> -->
			</div>
			<div class="flex items-center justify-between">
				<button
					class="
						<!--
						bg-blue
						-->
						<!--
						hover:bg-blue-dark
						-->
						btn-primary
						rounded-full
						text-white
						font-bold
						py-2
						px-4
						rounded
						focus:outline-none
						focus:shadow-outline
					"
					type="submit"
				>
					Register
				</button>
				<a class="inline-block align-baseline font-bold text-sm" href="/login">
					Already have account?
				</a>
			</div>
		</form>
		<p class="text-center text-grey text-xs">©2020 Kunal. All rights reserved.</p>
	</div>
</section>
